import { Options, ExecaReturnValue } from 'execa';

interface IPkgInfo {
    pkgDir: string;
    pkgDirPath: string;
    pkgJsonFilePath: string;
    pkgName: string;
    pkgCurrentVersion: string;
}
declare function getPkgInfoList(targetDirList: string[]): Promise<IPkgInfo[]>;
declare function run(bin: string, args: string[], opts?: Options<'utf8'>): Promise<ExecaReturnValue<string>>;
declare const step: (msg: string) => void;
declare const getVersionChoices: (pkgCurrentVersion: string) => {
    title: string;
    value: string;
}[];
declare const updateVersion: (pkgPath: string, version: string) => Promise<void>;
declare const publishPkg: (pkdDir: string, tag?: string) => Promise<void>;
declare const getLatestTag: (pkgName: string) => Promise<string>;
declare const logRecentCommits: (pkgName: string) => Promise<void>;

export { IPkgInfo, getLatestTag, getPkgInfoList, getVersionChoices, logRecentCommits, publishPkg, run, step, updateVersion };
